Bug 129947 - Firmware request failed
Firmware request failed
Product: Fedora
Classification: Fedora
Component: bluez-bluefw (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2004-08-15 08:47 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-09 12:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-15 08:47:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
in contrast to Fedora Core 1, Hotplugging a BlueFritz! USB dongle into
the usb port (usb 1.1) under Fedora Core 2 does not work. Reason could
be that a firmware download does not work.

Aug 15 14:30:31 my_notebook kernel: usb 1-1: configuration #1 chosen
from 2 choices
Aug 15 14:30:31 my_notebook kernel: bfusb_probe: Firmware request failed
Aug 15 14:30:31 my_notebook kernel: bfusb: probe of 1-1:1.0 failed
with error -5
Aug 15 14:30:31 my_notebook usb.agent[25125]: Keeping default
configuration with /sys//devices/pci0000:00/0000:00:07.2/usb1/1-1

Also didnt work after making the directory /usr/lib/hotplug/firmware.
After placing old firmware releases into this directory (bfubase.frm)
the dongle is recognised:

Aug 15 14:34:13 my_notebook kernel: usb 1-1: configuration #1 chosen
from 2 choices
Aug 15 14:34:14 my_notebook kernel: Bluetooth: BlueFRITZ! USB loading
Aug 15 14:34:15 my_notebook usb.agent[25217]: Keeping default
configuration with /sys//devices/pci0000:00/0000:00:07.2/usb1/1-1
Aug 15 14:34:18 my_notebook kernel: Bluetooth: BlueFRITZ! USB device ready

but does not work (probably due to the old firmware?)

hciconfig gives:

hci0:   Type: USB
        BD Address: 00:00:00:00:00:00 ACL MTU: 0:0  SCO MTU: 0:0
        RX bytes:0 acl:0 sco:0 events:0 errors:0
        TX bytes:0 acl:0 sco:0 commands:0 errors:0

ciptool search gives:

Searching ...
        No devices in range or visible

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Unplug BlueFritz! USB Dongle
2.Plug BlueFritz! USB Dongle

Actual Results:  Connecting to bluetooth devices does not work.

Expected Results:  Bluetooth devices should be recognised

Additional info:

I first thought that it was due to the missing directory but creating
this did not change the problem. The missing directory has been
brought up in Bug # 124488
Comment 1 David Woodhouse 2005-03-02 06:50:53 EST
bluez-bluefw is obsolete. The kernel should load the firmware for itself, and
seems to have done so in your case.

Does your device work if you bring it up manually ('hciconfig hci0 up')? Is hcid
running? It should be doing this.
Comment 2 David Woodhouse 2005-08-09 12:35:08 EDT
Closing after a period of inactivity. I _think_ the problem you're seeing is
just that you weren't running hcid. Please re-open if you still have a problem.

Note You need to log in before you can comment on or make changes to this bug.